#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dhall
version:              1.42.1
visibility:           public
id:                   dhall-1.42.1-EKC9bBufVGLGcHraDQD0PB
key:                  dhall-1.42.1-EKC9bBufVGLGcHraDQD0PB
license:              BSD-3-Clause
copyright:            2017 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  f36dbf9c6d44183e546b319ecb5369f0
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics
    Dhall.Package Dhall.Parser Dhall.Parser.Expression
    Dhall.Parser.Token Dhall.Pretty Dhall.Repl Dhall.Schemas Dhall.Set
    Dhall.Src Dhall.Substitution Dhall.TH Dhall.Tags Dhall.Tutorial
    Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.DirectoryTree.Types Dhall.Eval Dhall.Import.Types
    Dhall.Import.Headers Dhall.Marshal.Internal Dhall.Normalize
    Dhall.Parser.Combinators Dhall.Pretty.Internal Dhall.Syntax
    Dhall.Syntax.Binding Dhall.Syntax.Chunks Dhall.Syntax.Const
    Dhall.Syntax.Expr Dhall.Syntax.FunctionBinding Dhall.Syntax.Import
    Dhall.Syntax.Instances.Applicative Dhall.Syntax.Instances.Bifunctor
    Dhall.Syntax.Instances.Data Dhall.Syntax.Instances.Eq
    Dhall.Syntax.Instances.Foldable Dhall.Syntax.Instances.Functor
    Dhall.Syntax.Instances.Lift Dhall.Syntax.Instances.Monad
    Dhall.Syntax.Instances.NFData Dhall.Syntax.Instances.Ord
    Dhall.Syntax.Instances.Pretty Dhall.Syntax.Instances.Show
    Dhall.Syntax.Instances.Traversable Dhall.Syntax.MultiLet
    Dhall.Syntax.Operations Dhall.Syntax.RecordField Dhall.Syntax.Types
    Dhall.Syntax.Var Dhall.URL Paths_dhall Dhall.Import.HTTP
    Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.42.1-EKC9bBufVGLGcHraDQD0PB
depends:
    Diff-0.4.1-Jc1TR9aaNUv129X0zlHNSG
    aeson-2.1.2.1-38LADbNStwmEfKOReucTQy
    aeson-pretty-0.8.10-EqoqZyHsOVOICKhlMxDJzf
    ansi-terminal-1.0.2-CHKNXEXhuZ3EvZtvAUncPO
    atomic-write-0.2.1.1-8ogZCriMTf95n2TqK51K72 base-4.17.2.1
    base16-bytestring-1.0.2.0-QNB00R14ilFJ2bl5pXkq5 bytestring-0.11.5.3
    case-insensitive-1.2.1.0-ADYWB5NR7iSCpUfBs08sXI
    cborg-0.2.9.0-JVQOltgIm2T3ZJWSqW2BYn
    cborg-json-0.2.6.0-73jcGEjyNw3IC75dYtscl containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    cryptohash-sha256-0.11.102.1-4UI9iwmCMB77dQcEmQbGdB
    data-fix-0.3.3-27QBkaBkrjBDTRQ07NvSlf deepseq-1.4.8.0
    directory-1.3.7.1 dotgen-0.4.3-DCEwHcGESGV7f7E3GHH98g
    either-5.0.2-Ea23w0Vt2zdCvAxiFnOYYc exceptions-0.10.5
    filepath-1.4.2.2 half-0.3.2-E7GsfcAdAl1FGkf6dksMcx
    hashable-1.4.4.0-AT2Ub72SgpTFIbLYNtgVpj haskeline-0.8.2
    http-client-0.7.18-5fj6BFr75tN5leYKFOzzeh
    http-client-tls-0.3.6.4-LsEMzgIMdlXERrSThNI7aZ
    http-types-0.12.4-1mXIbLxCpEKp4Jrjs0euO
    indexed-traversable-0.1.4-KBBDB9eVvy75srrGe861vR
    lens-family-core-2.1.3-Ij4qXDXH4U49wX5TL83dlV
    megaparsec-9.6.1-6pqHq8BNT2333chbXCRu9H
    mmorph-1.2.0-3nIz0RIlBAUER45blfkK28 mtl-2.2.2
    network-uri-2.6.4.2-6a0tnrWM371Ip5S0wD8Wxe
    optparse-applicative-0.17.1.0-3DJFXm9vTXK45PcUNAvg30
    parser-combinators-1.3.0-11YwG5dPNej79xqbn9HKav
    parsers-0.12.12-J6Kx5NEOkx96ahWlotaW3x
    pretty-simple-4.1.3.0-OiLK6gk53sK7K9T1CnfYr
    prettyprinter-1.7.1-1mtUJkMbjCVDzlnVNJCKdo
    prettyprinter-ansi-terminal-1.1.3-3fy17aDLv6BGBSPO6huhox
    profunctors-5.6.2-2HJkXKlrQqeIGAKueBx4y0
    repline-0.4.2.0-KVntTSpWnVfIRYxV1mly8a
    scientific-0.3.7.0-FVWP8DVCKbGBwiSARe0xui
    serialise-0.2.6.1-4kOEedX1yLucj3WiC2KXW template-haskell-2.19.0.0
    text-2.0.2 text-manipulate-0.3.1.0-D5tnKz3xTmQ4LQrpY9Vq5v
    text-short-0.1.6-J2gAkIWNE1aIZvlsmB0FOQ
    th-lift-instances-0.1.20-1D614bxnfwAIHCJVjbInhO time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unix-compat-0.7.3-CU7UWjjGR4i9UIe1hCdWTL
    unordered-containers-0.2.20-WenrpHtwHKIVom5hXYF7C
    vector-0.13.2.0-H3MTIE0bxkOEYwCD854O16

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

